jQuery(function() {

    jQuery('.pwos-social-link').click(function() {
        var logoImage = 'https://www.pimwick.com/wp-content/uploads/2017/09/pw-on-sale-square-logo.png';
        var title = 'PW WooCommerce On Sale!';
        var url = 'https://pimwick.com/pw-woocommerce-on-sale/';

        switch(jQuery(this).attr('data-site')) {
            case 'facebook':
                redirect = 'http://www.facebook.com/sharer/sharer.php?picture=' + logoImage + '&u=' + url + '&title=' + title;
            break;

            case 'twitter':
                redirect = 'http://twitter.com/intent/tweet?status=' + title + '+' + url;
            break;

            case 'google-plus':
                redirect = 'https://plus.google.com/share?url=' + url;
            break;

            case 'reddit':
                redirect = 'http://www.reddit.com/submit?url=' + url + '&title=' + title;
            break;

            case 'tumblr':
                redirect = 'http://www.tumblr.com/share?v=3&u=' + url + '&t=' + title;
            break;

            case 'pinterest':
                redirect = 'http://pinterest.com/pin/create/bookmarklet/?media=' + logoImage + '&url=' + url + '&is_video=false&description=' + title;
            break;
        }

        var win = window.open(redirect, '_blank');
        if (win) {
            win.focus();
        } else {
            window.location.href = redirect;
        }
    });

    jQuery.post(ajaxurl, {'action': 'pw-on-sale-check-license'}, function(registration) {
        if (!registration.active) {
            jQuery('#pwos-main-content, .pwos-wizard-step').css('display', 'none');
            jQuery('#pwos-activation-main').css('display', 'inline-block');
            jQuery('#pwos-license-key').focus();

            if (registration.error != '') {
                jQuery('.pwos-activation-error').text(registration.error).removeClass('pwos-hidden');
            }
        }
    });

    // Hide the default meta fields and prevent Enter from submitting the form.
    jQuery('#pwos-license-key').keydown(function(e){
        if (e.keyCode == 13) {
            pwosActivate();
            e.preventDefault();
            return false;
        }
    });

    jQuery('#pwos-activate-license').click(function(e) {
        pwosActivate();
        e.preventDefault();
        return false;
    });

    // If we want to make single-click work, do this (but it removes dragging as well as shift-clicking).
    // jQuery("#pwos-product-categories-included option").mousedown(function(e) {
    //     jQuery(this).prop('selected', !jQuery(this).prop('selected'));
    //     jQuery('#pwos-product-categories-included').focus();
    //     e.preventDefault();
    //     return false;
    // });

    jQuery('#pwos-product-categories-included-select-all').on('click', function(e) {
        jQuery('#pwos-product-categories-included option').prop('selected', true);
        jQuery('#pwos-product-categories-included').focus();
        e.preventDefault();
        return false;
    });

    jQuery('#pwos-product-categories-included-select-none').on('click', function(e) {
        jQuery('#pwos-product-categories-included').val([]);
        e.preventDefault();
        return false;
    });

    jQuery('#pwos-product-categories-excluded-select-all').on('click', function(e) {
        jQuery('#pwos-product-categories-excluded option').prop('selected', true);
        jQuery('#pwos-product-categories-excluded').focus();
        e.preventDefault();
        return false;
    });

    jQuery('#pwos-product-categories-excluded-select-none').on('click', function(e) {
        jQuery('#pwos-product-categories-excluded').val([]);
        e.preventDefault();
        return false;
    });
});

function pwosActivate() {
    jQuery('.pwos-activation-error').text('');
    jQuery('#pwos-activate-license').prop('disabled', true).val('Activating, please wait...');

    jQuery.post(ajaxurl, {'action': 'pw-on-sale-activation', 'license-key': jQuery('#pwos-license-key').val() }, function( result ) {
        if (result.active == true) {
            location.reload();
        } else {
            jQuery('.pwos-activation-error').text(result.error);
            jQuery('#pwos-activate-license').prop('disabled', false).val('Activate');
        }
    });
}

function pwosWizardLoadStep(step, validate) {
    // This is located in all_steps.php since it's dynamic.
    if (validate == true && pwosWizardValidateStep(step - 1) == false) {
        return;
    }

    jQuery('#pwos-main-content').css('display', 'none');
    jQuery('.pwos-wizard-step').css('display', 'none');
    jQuery('#pwos-wizard-step-saving').css('display', 'none');
    jQuery('#pwos-wizard-step-' + step).css('display', 'inline-block');
    if (step > 1) {
        jQuery('#pwos-wizard-step-' + step).find('input[type=text],textarea,select').filter(':visible:first').focus();
    }
}

function pwosWizardFinish() {
    // This is located in all_steps.php since it's dynamic.
    if (pwosWizardValidateStep(pwosLastStep) == false) {
        return;
    }

    jQuery('.pwos-wizard-step').css('display', 'none');
    jQuery('#pwos-wizard-step-saving').css('display', 'inline-block');

    jQuery.post(
        ajaxurl,
        {
            'action': 'pw-on-sale-save',
            'sale_id': pwosGetParameterByName('sale_id'),
            'begin_date': jQuery('#pwos-begin-date').val(),
            'begin_time': jQuery('#pwos-begin-time').val(),
            'end_date': jQuery('#pwos-end-date').val(),
            'end_time': jQuery('#pwos-end-time').val(),
            'product_categories_included': jQuery('#pwos-product-categories-included').val(),
            'product_categories_excluded': jQuery('#pwos-product-categories-excluded').val(),
            'include_product_ids': jQuery('#pwos-include-product-ids').val(),
            'exclude_product_ids': jQuery('#pwos-exclude-product-ids').val(),
            'ignore_sale_products': jQuery('#pwos-ignore-sale-products').is(':checked'),
            'deal_type': jQuery('#pwos-deal-type').val(),
            'discount_percentage': jQuery('#pwos-discount-percentage').val(),
            'fixed_discount': jQuery('#pwos-fixed-discount').val(),
            'use_regular_price': jQuery('#pwos-use-regular-price').is(':checked'),
            'title': jQuery('#pwos-title').val()
        },
        function( result ) {
            if (result.complete == true) {
                window.location.replace(window.location.href.split('?')[0] + '?page=pw-on-sale');

            } else {
                alert(result.message);

                if (result.step) {
                    pwosWizardLoadStep(result.step);
                } else {
                    pwosWizardLoadStep(pwosLastStep);
                }
            }
        }
    );
}

function pwosWizardClose() {
    jQuery('.pwos-wizard-step').css('display', 'none');
    jQuery('#pwos-main-content').show();
}

function pwosDeleteSale(saleId) {
    if (confirm('Are you sure you want to delete this sale? This cannot be undone.')) {
        jQuery.post(ajaxurl, {'action': 'pw-on-sale-delete', 'sale_id': saleId}, function() {
            location.reload();
        });
    }
}

// Source: https://stackoverflow.com/questions/901115/how-can-i-get-query-string-values-in-javascript
function pwosGetParameterByName(name, url) {
    if (!url) url = window.location.href;
    name = name.replace(/[\[\]]/g, "\\$&");
    var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, " "));
}
