<?php if ( !defined( 'ABSPATH' ) ) { exit; } ?>

<div class="wrap">
    <div class="pwos-header">
        <div class="pwos-title-container">
            <div class="pwos-title">PW WooCommerce On Sale! </div>
            <div class="pwos-credits">by <a href="https://www.pimwick.com" target="_blank" class="pwos-link">Pimwick</a></div>
            <div class="pwos-version">v<?php echo $version; ?></div>
        </div>

        <div class="pwos-share-container">
            <i data-site="facebook" class="fa fa-facebook-square fa-fw fa-2x pwos-link pwos-social-link" title="Share on Facebook"></i>
            <i data-site="twitter" class="fa fa-twitter-square fa-fw fa-2x pwos-link pwos-social-link" title="Share on Twitter"></i>
            <i data-site="google-plus" class="fa fa-google-plus-square fa-fw fa-2x pwos-link pwos-social-link" title="Share on Google+"></i>
            <i data-site="reddit" class="fa fa-reddit-square fa-fw fa-2x pwos-link pwos-social-link" title="Share on Reddit"></i>
            <i data-site="tumblr" class="fa fa-tumblr-square fa-fw fa-2x pwos-link pwos-social-link" title="Share on Tumblr"></i>
            <i data-site="pinterest" class="fa fa-pinterest-square fa-fw fa-2x pwos-link pwos-social-link" title="Share on Pinterest"></i>
        </div>
    </div>
</div>

<div id="pwos-main-content" class="pwos-hidden">
    <a href="#" onClick="pwosWizardLoadStep(1); return false;" class="button button-primary" style="margin-bottom: 16px;">Create a new promotion</a>
    <?php
        $sales = get_posts( array(
            'posts_per_page' => -1,
            'post_type' => 'pw_on_sale'
        ) );

        if ( count( $sales ) > 0 ) {
            ?>
            <table class="pwos-table">
                <tr>
                    <th>Name</th>
                    <th>Sale Dates</th>
                    <th>Discount</th>
                    <th>&nbsp;</th>
                </tr>
                <?php
                    foreach( $sales as $sale ) {
                        ?>
                        <tr>
                            <td>
                                <a href="<?php echo admin_url( 'admin.php?page=pw-on-sale&sale_id=' . $sale->ID ); ?>" class="pwos-link" style="font-weight: 600;"><?php echo $sale->post_title; ?></a>
                            </td>
                            <td>
                                <div>
                                    <?php echo date_i18n( 'l ' . get_option( 'date_format' ), strtotime( $sale->begin_date ) ); ?>
                                    <?php echo date_i18n( get_option( 'time_format' ), strtotime( $sale->begin_time ) ); ?> -
                                </div>
                                <div>
                                    <?php echo date_i18n( 'l ' . get_option( 'date_format' ), strtotime( $sale->end_date ) ); ?>
                                    <?php echo date_i18n( get_option( 'time_format' ), strtotime( $sale->end_time ) ); ?>
                                </div>
                            </td>
                            <td>
                                <?php
                                    if ( $sale->deal_type == 'fixed' ) {
                                        echo wc_price( $sale->fixed_discount ) . ' off';
                                    } else {
                                        echo $sale->discount_percentage . '% off';
                                    }

                                    if ( $sale->use_regular_price ) {
                                        echo ' Regular Price';
                                    }
                                ?>
                            </td>
                            <td>
                                <a href="#" onClick="pwosDeleteSale(<?php echo $sale->ID; ?>); return false;" class="pwos-link pwos-delete-link"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                        <?php
                    }
                ?>
            </table>
            <script>
                jQuery(function() {
                    jQuery('#pwos-main-content').css('display', 'block');
                });
            </script>
            <?php
        }

        if ( isset( $pwos_sale ) || count( $sales ) == 0 ) {
            ?>
            <script>
                jQuery(function() {
                    pwosWizardLoadStep(1);
                });
            </script>
            <?php
        }
    ?>
    <div style="margin-top: 5.0em;">
        We love making plugins and we love your feedback!<br>
        <a href="https://wordpress.org/support/plugin/pw-woocommerce-on-sale/reviews/" target="_blank">Leave a review on WordPress.org</a>
    </div>
</div>
<?php

    require( 'wizard/all_steps.php' );

    require( 'activation.php' );
?>