<?php if ( !defined( 'ABSPATH' ) ) { exit; } ?>

<?php
    global $pw_on_sale;

    $this_step = 2;

    $sorted_categories = array();
    $categories = get_terms( 'product_cat', 'orderby=name&hide_empty=0' );
    if ( $categories ) {
        $pw_on_sale->sort_terms_hierarchicaly( $categories, $sorted_categories );
    }

    if ( isset( $pwos_sale ) ) {
        $ignore_sale_products = !isset( $pwos_sale->ignore_sale_products ) ? false : $pwos_sale->ignore_sale_products;
    } else {
        $ignore_sale_products = false;
    }
?>

<div class="pwos-heading">
    <div class="pwos-heading-step">Step <?php echo $this_step; ?> of <?php echo $GLOBALS['pwos_last_step']; ?></div>
    Products included in the sale
</div>

<div>
    <div>
        <div style="float: right;">
            Select
            <a href="#" id="pwos-product-categories-included-select-all">All</a>
            <a href="#" id="pwos-product-categories-included-select-none" style="margin-left: 6px;">None</a>
        </div>
    </div>
    <label for="pwos-product-categories-included">Included Categories</label><br>
    <select id="pwos-product-categories-included" name="product_categories_included[]" class="pwos-product-categories" multiple="multiple" data-placeholder="<?php esc_attr_e( 'Any category', 'woocommerce' ); ?>">
        <?php
            $included_category_ids = array();
            if ( isset( $pwos_sale ) ) {
                $included_category_ids = $pwos_sale->product_categories_included;
            }

            if ( !empty( $sorted_categories ) ) {
                $pw_on_sale->hierarchical_select( $sorted_categories, $included_category_ids );
            }
        ?>
    </select>
</div>

<div style="margin-top: 48px;">
    <div>
        <div style="float: right;">
            Select
            <a href="#" id="pwos-product-categories-excluded-select-all">All</a>
            <a href="#" id="pwos-product-categories-excluded-select-none" style="margin-left: 6px;">None</a>
        </div>
    </div>
    <label for="pwos-product-categories-excluded">Excluded Categories</label><br>
    <select id="pwos-product-categories-excluded" name="product_categories_excluded[]" class="pwos-product-categories" multiple="multiple" data-placeholder="<?php esc_attr_e( 'Any category', 'woocommerce' ); ?>">
        <?php
            $excluded_category_ids = array();
            if ( isset( $pwos_sale ) ) {
                $excluded_category_ids = $pwos_sale->product_categories_excluded;
            }

            if ( !empty( $sorted_categories ) ) {
                $pw_on_sale->hierarchical_select( $sorted_categories, $excluded_category_ids );
            }
        ?>
    </select>
</div>

<div style="margin-top: 48px;">
    <label for="pwos-include-product-ids">Include specific products in this sale</label><br>
    <?php
        $include_product_ids = array();
        if ( isset( $pwos_sale ) ) {
            $include_product_ids = $pwos_sale->include_product_ids;
        }

        if ( $pw_on_sale->wc_min_version( '2.7' ) ) {
            ?>
            <select id="pwos-include-product-ids" class="wc-product-search" multiple="multiple" style="width: 100%;" name="include_product_ids[]" data-placeholder="Search for a product&hellip;" data-action="woocommerce_json_search_products_and_variations">
                <?php
                    foreach ( $include_product_ids as $product_id ) {
                        $product = wc_get_product( $product_id );
                        if ( is_object( $product ) ) {
                            echo '<option value="' . esc_attr( $product_id ) . '" ' . selected( true, true, false ) . '>' . wp_kses_post( $product->get_formatted_name() ) . '</option>';
                        }
                    }
                ?>
            </select>
            <?php
        } else {
            ?>
            <input type="hidden" class="wc-product-search" data-multiple="true" name="include_product_ids[]" data-placeholder="Search for a product&hellip;" data-action="woocommerce_json_search_products_and_variations" data-selected="<?php
                $json_ids = array();

                foreach ( $include_product_ids as $product_id ) {
                    $product = wc_get_product( $product_id );
                    if ( is_object( $product ) ) {
                        $json_ids[ $product_id ] = wp_kses_post( $product->get_formatted_name() );
                    }
                }

                echo esc_attr( json_encode( $json_ids ) );
            ?>" value="<?php echo implode( ',', array_keys( $json_ids ) ); ?>" />
            <?php
        }
    ?>
</div>
<div style="margin-top: 48px;">
    <label for="pwos-exclude-product-ids">Exclude specific products from this sale</label><br>
    <?php
        $exclude_product_ids = array();
        if ( isset( $pwos_sale ) ) {
            $exclude_product_ids = $pwos_sale->exclude_product_ids;
        }

        if ( $pw_on_sale->wc_min_version( '2.7' ) ) {
            ?>
            <select id="pwos-exclude-product-ids" class="wc-product-search" multiple="multiple" style="width: 100%;" name="exclude_product_ids[]" data-placeholder="Search for a product&hellip;" data-action="woocommerce_json_search_products_and_variations">
                <?php
                    foreach ( $exclude_product_ids as $product_id ) {
                        $product = wc_get_product( $product_id );
                        if ( is_object( $product ) ) {
                            echo '<option value="' . esc_attr( $product_id ) . '" ' . selected( true, true, false ) . '>' . wp_kses_post( $product->get_formatted_name() ) . '</option>';
                        }
                    }
                ?>
            </select>
            <?php
        } else {
            ?>
            <input type="hidden" class="wc-product-search" data-multiple="true" name="exclude_product_ids[]" data-placeholder="Search for a product&hellip;" data-action="woocommerce_json_search_products_and_variations" data-selected="<?php
                $json_ids = array();

                foreach ( $exclude_product_ids as $product_id ) {
                    $product = wc_get_product( $product_id );
                    if ( is_object( $product ) ) {
                        $json_ids[ $product_id ] = wp_kses_post( $product->get_formatted_name() );
                    }
                }

                echo esc_attr( json_encode( $json_ids ) );
            ?>" value="<?php echo implode( ',', array_keys( $json_ids ) ); ?>" />
            <?php
        }
    ?>
</div>
<div style="margin-top: 48px;">
    <input type="checkbox" id="pwos-ignore-sale-products" name="ignore_sale_products" value="yes" <?php checked( $ignore_sale_products ); ?>>
    <label for="pwos-ignore-sale-products">Exclude products that are already on sale</label><br>
</div>


<?php
    $pw_on_sale->navigation_buttons( $this_step );
?>
<script>
    function pwosWizardValidateStep<?php echo $this_step; ?>() {
        if (!jQuery('#pwos-product-categories-included').val() || jQuery('#pwos-product-categories-included').val() == []) {
            if (!jQuery('#pwos-include-product-ids').val() || jQuery('#pwos-include-product-ids').val() == []) {
                alert('Please select at least one Product Category or one Included Product.');
                jQuery('#pwos-product-categories-included').focus();
                return false;
            }
        }

        return true;
    }
</script>
