<?php if ( !defined( 'ABSPATH' ) ) { exit; } ?>

<?php
    global $pw_on_sale;

    $this_step = 3;

    if ( isset( $pwos_sale ) ) {
        $deal_type = empty( $pwos_sale->deal_type ) ? 'percentage' : $pwos_sale->deal_type;
        $discount_percentage = $pwos_sale->discount_percentage;
        $fixed_discount = $pwos_sale->fixed_discount;
        $use_regular_price = !isset( $pwos_sale->use_regular_price ) ? true : $pwos_sale->use_regular_price;
    } else {
        $deal_type = 'percentage';
        $discount_percentage = 20;
        $fixed_discount = '';
        $use_regular_price = true;
    }
?>

<div class="pwos-heading">
    <div class="pwos-heading-step">Step <?php echo $this_step; ?> of <?php echo $GLOBALS['pwos_last_step']; ?></div>
    Sale Discount
</div>

<div id="pwos-deal-type-container">
    <select id="pwos-deal-type" name="deal_type" class="pwos-input">
        <option value="percentage" <?php selected( $deal_type, 'percentage' ); ?>>Percentage discount</option>
        <option value="fixed" <?php selected( $deal_type, 'fixed' ); ?>>Discount a fixed amount</option>
    </select>
</div>

<div id="pwos-percentage-discount-container" class="pwos-deal-container <?php echo $deal_type == 'percentage' ? '' : 'pwos-hidden'; ?>">
    <select id="pwos-discount-percentage" class="pwos-input">
        <?php
            for( $x = 1; $x <= 100; $x++ ) {
                ?>
                <option value="<?php echo $x; ?>" <?php selected( $discount_percentage, $x ); ?>><?php echo $x; ?>%</option>
                <?php
            }
        ?>
    </select> off
</div>

<div id="pwos-fixed-discount-container" class="pwos-deal-container <?php echo $deal_type == 'fixed' ? '' : 'pwos-hidden'; ?>">
    <?php echo get_woocommerce_currency_symbol(); ?> <input id="pwos-fixed-discount" class="pwos-input pwos-short-number-field" name="fixed_discount" type="text" value="<?php echo $fixed_discount; ?>">
</div>

<div id="pwos-use-regular-price-container" class="pwos-deal-container <?php echo ( $deal_type == 'percentage' || $deal_type == 'fixed' ) ? '' : 'pwos-hidden'; ?>">
    <label for="pwos-use-regular-price">
        <input type="checkbox" id="pwos-use-regular-price" name="use_regular_price" value="yes" <?php checked( $use_regular_price ); ?>>
        Base discount on Regular Price, ignore any existing Sale Price.
    </label>
</div>


<?php
    $pw_on_sale->navigation_buttons( $this_step );
?>

<script>
    jQuery('#pwos-deal-type').on('change', function() {
        jQuery('.pwos-deal-container').addClass('pwos-hidden');

        if (jQuery(this).val() == 'percentage') {
            jQuery('#pwos-percentage-discount-container, #pwos-use-regular-price-container').removeClass('pwos-hidden');
            jQuery('#pwos-discount-percentage').focus();
        } else {
            jQuery('#pwos-fixed-discount-container, #pwos-use-regular-price-container').removeClass('pwos-hidden');
            jQuery('#pwos-fixed-discount').focus();
        }
    });

    function pwosWizardValidateStep<?php echo $this_step; ?>() {
        if (!jQuery('#pwos-discount-percentage').val() || jQuery('#pwos-discount-percentage').val() < 1 || jQuery('#pwos-discount-percentage').val() > 100) {
            alert('Invalid Discount Percentage.');
            jQuery('#pwos-discount-percentage').focus();
            return false;
        }

        return true;
    }
</script>
